from dotabase import *

session = dotabase_session()

for hero in session.query(Hero):
	shard = None
	scepter = None
	for ability in hero.abilities:
		if (ability.scepter_upgrades or ability.scepter_grants) and ability.scepter_description != "":
			scepter = ability
		if (ability.shard_grants or ability.shard_upgrades) and ability.shard_description != "":
			shard = ability
	if shard is None:
		print(f"{hero.localized_name} has no shard")
	if scepter is None:
		print(f"{hero.localized_name} has no scepter")